Subject: Re: PATCH: Multicast: Filter multicast traffic per socket mc_list

From: Nivedita Singhvi <[email-masked]>
Date: Fri, 17 Apr 2009 08:37:36 -0700

Christoph Lameter wrote:
> On Thu, 16 Apr 2009, David Miller wrote:
> 
>> No Christoph, do this right.
>>
> 	> Linux by default will behave the way it has for 15+ years.  And if an
>> application wants new behavior, you have to ask for it.
>>
>> End of story.
> 
> This is not right. All other OSes filter multicast traffic according to
> the multicast groups subscribed too (and that includes the evil one).
> There is no requirement of asking for "new" behavior. Why should multicast
> applications have to add special code to request something that comes by
> default on other platforms?

I need the current behaviour to not change, as it would
break some people I support.  DaveM is making the right
decision here, and I fully support this.

And I'm one of those people working on low latency and
hoping messaging clients get better in their multicast
usage..just that this is not one of those ways.

Ideally, you could tweak OS environment configuration
setting, if you don't want per socket. But it cannot
be the default.

thanks,
Nivedita